package cn.com.tenlion.configcontent.pojo.dtos.contentcomment;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: ContentCountStatusDTO
 * @Description: CBC内容管理数量状态
 * @Author: CodeFactory
 * @Date: 2021-08-02 09:31:18
 * @Version: 3.0
 **/
@ApiModel
public class ContentCountStatusDTO {

    @ApiModelProperty(name = "businessId", value = "业务表ID")
    private String businessId;
    @ApiModelProperty(name = "commentCount", value = "评论数量")
    private Integer commentCount;
    @ApiModelProperty(name = "likeCount", value = "点赞数量")
    private Integer likeCount;
    @ApiModelProperty(name = "scansCount", value = "查看数量")
    private Integer scansCount;
    @ApiModelProperty(name = "scansCount", value = "转发数量")
    private Integer dispatchCount;
    @ApiModelProperty(name = "collectCount", value = "收藏数量")
    private Integer collectCount;
    @ApiModelProperty(name = "collectCount", value = "是否已点赞")
    private Boolean likeStatus;
    @ApiModelProperty(name = "collectStatus", value = "是否已收藏")
    private Boolean collectStatus;

    public String getBusinessId() {
        return businessId == null ? "" : businessId;
    }

    public void setBusinessId(String businessId) {
        this.businessId = businessId;
    }

    public Integer getCommentCount() {
        return commentCount;
    }

    public void setCommentCount(Integer commentCount) {
        this.commentCount = commentCount;
    }

    public Integer getLikeCount() {
        return likeCount;
    }

    public void setLikeCount(Integer likeCount) {
        this.likeCount = likeCount;
    }

    public Integer getScansCount() {
        return scansCount;
    }

    public void setScansCount(Integer scansCount) {
        this.scansCount = scansCount;
    }

    public Integer getDispatchCount() {
        return dispatchCount;
    }

    public void setDispatchCount(Integer dispatchCount) {
        this.dispatchCount = dispatchCount;
    }

    public Integer getCollectCount() {
        return collectCount;
    }

    public void setCollectCount(Integer collectCount) {
        this.collectCount = collectCount;
    }

    public Boolean getLikeStatus() {
        return likeStatus;
    }

    public void setLikeStatus(Boolean likeStatus) {
        this.likeStatus = likeStatus;
    }

    public Boolean getCollectStatus() {
        return collectStatus;
    }

    public void setCollectStatus(Boolean collectStatus) {
        this.collectStatus = collectStatus;
    }
}
